<?php
class MetaBox extends Core
{
/**
 * Generated by the WordPress Meta Box generator
 * at http://jeremyhixon.com/tool/wordpress-meta-box-generator/
 */

	/**
	 * @author Golga <r-ro@bulko.net>
	 * @see http://jeremyhixon.com/tool/wordpress-meta-box-generator/
	 */
	public function addMetaBox(): Void
	{
		add_meta_box(
			'champ_supplmentaire-champ-supplmentaire',
			__( 'Template de la page', 'champ_supplmentaire' ),
			array( $this, 'champHtml' ),
			'page',
			'side',
			'default'
		);
	}

	/**
	 * @author Golga <r-ro@bulko.net>
	 * @see http://jeremyhixon.com/tool/wordpress-meta-box-generator/
	 */
	public function champHtml( WP_Post $post ): Void
	{
		wp_nonce_field( '_champ_supplmentaire_nonce', 'champ_supplmentaire_nonce' );
		$activTpl = $this->getMeta('pageTemplate');
		?>
		<select name="pageTemplate">
			<option <?php if( $activTpl === "classic" ){ echo "selected"; }?> value="classic">Classique</option>
			<option <?php if( $activTpl === "box-articles" ){ echo "selected"; }?> value="box-articles">Box</option>
			<option <?php if( $activTpl === "entreprise" ){ echo "selected"; }?> value="entreprise">Entreprise</option>
		</select>
		<?php
	}

	/**
	 * @author Golga <r-ro@bulko.net>
	 * @see http://jeremyhixon.com/tool/wordpress-meta-box-generator/
	 */
	public function saveMetaData( Int $post_id ): Bool
	{
		if (
			( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE )
			|| ! isset( $_POST['champ_supplmentaire_nonce'] ) || ! wp_verify_nonce( $_POST['champ_supplmentaire_nonce'], '_champ_supplmentaire_nonce' )
			|| ! current_user_can( 'edit_post', $post_id )
		)
		{
			return false;
		}
		if ( isset( $_POST['pageTemplate'] ) )
		{
			update_post_meta( $post_id, 'pageTemplate', $_POST['pageTemplate'] );
		}
		return true;
	}
}
?>
